package gui.run;

import javax.swing.*;
import java.awt.*;

/**
 * DocJava, Inc.
 * http://www.docjava.com
 * Programmer: dlyon
 * Date: Mar 31, 2004
 * Time: 7:36:31 PM
 */
class RunLabelTextFieldPanel extends JPanel {
    public RunLabelTextFieldPanel( RunTextField tf) {
        setLayout(new BorderLayout());
        add(tf, BorderLayout.CENTER);
        add(getLabel( tf), BorderLayout.WEST);
    }

    private RunLabel getLabel( RunTextField tf) {
        RunLabel rl = new RunLabel(tf.getOriginalText());
        tf.setText("");
        return rl;
    }

    public static void main(String args[]) {
        gui.ClosableJFrame cf = new gui.ClosableJFrame("RunTextField");
        java.awt.Container c = cf.getContentPane();
        c.add(new RunLabelTextFieldPanel(new RunTextField("[Name") {
            public void run() {
                System.out.println(getText());
            }
        }));
        c.add(new RunLabelTextFieldPanel(new RunTextField("[House/Street") {
            public void run() {
                System.out.println(getText());
            }
        }));
        RunLabelTextFieldPanel runLabelTextFieldPanel = new RunLabelTextFieldPanel(new RunTextField("[City") {
                    public void run() {
                        System.out.println(getText());
                    }
                });
        c.add(runLabelTextFieldPanel);
        runLabelTextFieldPanel.invalidate();
        c.setLayout(new java.awt.GridLayout(4, 0));
        c.invalidate();
        cf.setSize(200, 200);
        cf.setVisible(true);
    }
}
